package main

import "fmt"

// section: code
type simple struct {
	ID   int
	Name string
}

func main() {
	data := map[int]simple{}
	s1 := simple{ID: 1, Name: "Cory"}
	data[1] = s1

	data[1].Name = "Jill" // <== Update the struct

	fmt.Printf("%+v", data)
}

// section: code

/*

// section: output
./main.go:16:15: cannot assign to struct field data[1].Name in map
// section: output
*/
